class NotificationsSubscriber
  def self.subscribe
    ActiveSupport::Notifications.subscribe('session.updated') do |*args|
      event = ActiveSupport::Notifications::Event.new(*args)
      new.handle_event(event)
    end
  end

  def handle_event(event)
    model_name = event.name.split(".").first
    record = event.payload[:record]
    changes = event.payload[:changes]

    conference = record.conference

    # record.assignments.includes(:user).each do |assignment|
    #   Notification.create!(
    #     channel: 'telegram_group_chat',

    #   )
    # end
    Notification.create!(
      channel: 'telegram_group_chat',
      target:
    )

    Revision.create!(
      conference:,
      target_type: model_name,
      target_ref_id: record.ref_id,
      new_data: record.to_json,
      data_changes: changes.to_json
    )
  end
end
